Subject: RE: [mobile-ip] Reg with FA COA

From: Tomas Goldbeck-Löwe (ERA)<[email-masked]>
Date: Fri, 19 Apr 2002 11:45:13 +0200

Fredrik and Siva,

Agree that it should be clarified if it is not clear already.
And in my opinion, the FA-HA SA should be between the src_FA address and the dst_HA address.
That's because the HA wants to authenticate the packet before processing it, i.e. just looking at the IP header and be able to authenticate.

my first 2 cents

Thanks.
	--> Tomas

> -----Original Message-----
> From: Fredrik Johansson [mailto:[email-masked]]
> Sent: den 18 april 2002 17:51
> To: Sivasundar Ramamurthy; Mobile IP Working Group
> Cc: Charlie Perkins
> Subject: RE: [mobile-ip] Reg with FA COA
> 
> 
> Hi Siva,
> 
> You have a point here, and the same applies to the problem 
> you brought up
> with a FA setting the 'R'-bit in its advertisements, the mobile will
> register with the FA and the FA will send the request to the 
> HA, but between
> what addresses will the FA-HA auth ext be used, the 
> co-located CoA that
> recides on the MN or the source address of the FA?
> 
> I believe that this should be clarified in 3220
> /Fredrik
> 
> >-----Original Message-----
> >From: [email-masked]
> >[mailto:[email-masked]]On Behalf Of Sivasundar
> >Ramamurthy
> >Sent: den 16 april 2002 22:34
> >To: Mobile IP Working Group
> >Subject: [mobile-ip] Reg with FA COA
> >
> >
> >Hello,
> >
> >RFC3220 says that a MN registering with a FA COA MUST send the
> >registration request to the IP source of the advertisement. If the FA
> >is multihomed and advertises multiple COAs, there is a possibility
> >that the MN sends the request to an interface that is different
> >from the COA.
> >
> >>From what I have read in the RFC, it appears that it is okay for the
> >FA to use the same interface to forward the request, instead of the
> >COA requested. Am I correct? If so, is the FA-HA auth ext
> >created/authenticated using the SA between the COA and the HA, or the
> >forwarding address and the HA?
> >
> >Hope my questions make sense :-)
> >
> >
> >thanks,
> >
> >Siva
>